import 'package:json_annotation/json_annotation.dart';

part 'asset.g.dart';


@JsonSerializable()
class WalletAssetDTO {
  final String chain;
  final String tokenSymbol;
  final String contractAddress;

  const WalletAssetDTO({
    required this.chain,
    required this.tokenSymbol,
    required this.contractAddress,
  });

  factory WalletAssetDTO.fromJson(Map<String, dynamic> json) => _$WalletAssetDTOFromJson(json);
  Map<String, dynamic> toJson() => _$WalletAssetDTOToJson(this);
}
